summaryrefslogtreecommitdiffstats
path: root/debian/icingaweb2-module-director.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 12:43:12 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 12:43:12 +0000
commit620245b255a78a4de7a702a98f8e576bf0d9db5d (patch)
tree74bb38da3bfefab789271d250c429a303869a5b6 /debian/icingaweb2-module-director.postinst
parentAdding upstream version 1.10.2. (diff)
downloadicingaweb2-module-director-debian.tar.xz
icingaweb2-module-director-debian.zip
Adding debian version 1.10.2-1.debian/1.10.2-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/icingaweb2-module-director.postinst26
1 files changed, 26 insertions, 0 deletions
diff --git a/debian/icingaweb2-module-director.postinst b/debian/icingaweb2-module-director.postinst
new file mode 100644
index 0000000..cef258c
--- /dev/null
+++ b/debian/icingaweb2-module-director.postinst
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ # creating user
+ if ! getent passwd _director > /dev/null 2>&1
+ then
+ useradd -c "icingaweb2-module-director,,," -M -s /bin/bash _director
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument '${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0